org.apache.solr.schema

## Class CoordinateFieldType

- java.lang.Object
- - org.apache.solr.schema.FieldProperties
  - - org.apache.solr.schema.FieldType
    - - org.apache.solr.schema.AbstractSubTypeFieldType
      - - org.apache.solr.schema.CoordinateFieldType

- All Implemented Interfaces:
    SchemaAware
  Direct Known Subclasses:
    PointType

      public abstract class CoordinateFieldType
      extends AbstractSubTypeFieldType

  A CoordinateFieldType is the base class for `FieldType`s that have semantics related to items in a coordinate system.
  Implementations depend on a delegating work to a sub `FieldType`, specified by either the `AbstractSubTypeFieldType.SUB_FIELD_SUFFIX` or the `AbstractSubTypeFieldType.SUB_FIELD_TYPE` (the latter is used if both are defined.
  Example:

      <fieldType name="xy" class="solr.PointType" dimension="2" subFieldType="double"/>

  In theory, classes deriving from this should be able to do things like represent a point, a polygon, a line, etc.
  NOTE: There can only be one sub Field Type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType

      `FieldType.DefaultAnalyzer, FieldType.MultiValueSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_DIMENSION` 2 dimensional by default
    `protected int` | `dimension` The dimension of the coordinate system
    `static String` | `DIMENSION`

    - ### Fields inherited from class org.apache.solr.schema.AbstractSubTypeFieldType

      `dynFieldProps, schema, SUB_FIELD_SUFFIX, SUB_FIELD_TYPE, subFieldType, subSuffix, subType, suffix, suffixes`

    - ### Fields inherited from class org.apache.solr.schema.FieldType

      `ANALYZER, args, CHAR_FILTER, CHAR_FILTERS, CLASS_NAME, docValuesFormat, falseProperties, FILTER, FILTERS, INDEX, INDEX_ANALYZER, MULTI_TERM, MULTI_TERM_ANALYZER, POLY_FIELD_SEPARATOR, postingsFormat, properties, QUERY, QUERY_ANALYZER, similarity, SIMILARITY, similarityFactory, TOKENIZER, trueProperties, TYPE, TYPE_NAME, typeName`

    - ### Fields inherited from class org.apache.solr.schema.FieldProperties

      `BINARY, DOC_VALUES, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_OFFSETS, STORE_TERMOFFSETS, STORE_TERMPAYLOADS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED, USE_DOCVALUES_AS_STORED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoordinateFieldType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDimension()`

    - ### Methods inherited from class org.apache.solr.schema.AbstractSubTypeFieldType

      `createSuffixCache, getFieldQuery, getSubType, inform, init, subField`

    - ### Methods inherited from class org.apache.solr.schema.FieldType

      `checkSchemaField, createField, createField, createFields, getAnalyzerProperties, getClassArg, getDocValuesFormat, getIndexAnalyzer, getIndexOptions, getNamedPropertyValues, getNonFieldPropertyArgs, getNumericType, getPostingsFormat, getPrefixQuery, getQueryAnalyzer, getRangeQuery, getRewriteMethod, getSimilarity, getSimilarityFactory, getSingleValueSource, getSortField, getStringSort, getTypeName, getUninversionType, getValueSource, hasProperty, indexedToReadable, indexedToReadable, isExplicitAnalyzer, isExplicitQueryAnalyzer, isMultiValued, isPolyField, isTokenized, marshalBase64SortValue, marshalSortValue, marshalStringSortValue, multiValuedFieldCache, readableToIndexed, readableToIndexed, restrictProps, setArgs, setIndexAnalyzer, setIsExplicitAnalyzer, setIsExplicitQueryAnalyzer, setQueryAnalyzer, setSimilarity, storedToIndexed, storedToReadable, supportsAnalyzers, toExternal, toInternal, toNativeType, toObject, toObject, toString, unmarshalBase64SortValue, unmarshalSortValue, unmarshalStringSortValue, useDocValuesAsStored, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dimension

          protected int dimension

      The dimension of the coordinate system

    - #### DEFAULT_DIMENSION

          public static final int DEFAULT_DIMENSION

      2 dimensional by default
      See Also:
        Constant Field Values

    - #### DIMENSION

          public static final String DIMENSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoordinateFieldType

          public CoordinateFieldType()

  - ### Method Detail

    - #### getDimension

          public int getDimension()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.